Bug 1285816 - (PYTHON3) Tracking: Python 3 Porting
Tracking: Python 3 Porting
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: python3 (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Orsava
Fedora Extras Quality Assurance
:
: 1282146 (view as bug list)
Depends On: 813736 891283 911509 1045780 1087355 1183877 1282094 1282201 1282272 1282551 1282899 1288802 1291370 1300730 1304360 1304822 1306794 1308520 1308564 1309244 1309246 1309265 1309266 1309383 1309385 1311229 PY3PATCH-AVAILABLE 1312327 1312334 1313027 1313844 1314043 1314047 1314524 1317888 1317919 1320654 PYTHON3-UPSTREAM 1323171 1323190 1323241 1323242 1323248 1323249 1323250 1323253 1323256 1323263 1323267 1324095 1324097 1324118 1324122 1324123 1324127 1326332 PY3PATCH-REQUESTED PY3PATCH-PUSH 1333821 1333823 1335957 1338050 PYTHON3-PYTHON2 1356653 1357690 1361767 1367012 1369017 1369023 1369025 1370016 1373291 1380179 1390812 1390814 1391134 1393840 1395149 1395150 1400939 1403303 1404618 1404622 1410815 1411548 1413527 1419555 1422162 1422163 1422166 1422168 1426731 1426737 635231 723187 844297 1024809 1031275 1032588 1064786 1070172 1083976 1103194 1111876 1166404 1171064 1180935 1187837 1188631 1207737 1209685 1210069 1213629 1214734 1214740 1224837 1231882 1235487 1242686 1243127 1244234 1263049 1275860 1276014 1280316 1281992 1282057 1282069 1282082 1282084 1282088 1282097 1282099 1282106 1282108 1282140 1282149 1282150 1282151 1282155 1282161 1282235 1282237 1282243 1282483 1282498 1282544 1282555 1282557 1282560 1285867 1286284 1288830 1288893 1291367 1291631 1292547 1292548 1293015 1295404 1295406 1295410 1295426 1296284 1297899 1298250 1299142 1302939 1303168 1303458 1303599 1303601 1303610 1304037 1304750 1305626 1305872 1306190 1306954 1308352 1308519 1308522 1308524 1308526 1308529 1308532 1308552 1308557 1308559 1309240 1309242 1309243 1309249 1309250 1309257 1309259 1309260 1309263 1309264 1309267 1309268 1309269 1309270 1309306 1309307 1309310 1309311 1309371 1309374 1309376 1309381 1309386 1309388 1309392 1309618 1309621 1309622 1309783 1309784 1310206 1310282 1310322 1310323 1310629 1311185 1311209 1311228 1311515 1311520 1311523 1311533 1311536 1311551 1311552 1311553 1312320 1312321 1312323 1312325 1312329 1312330 1312332 1312333 1312336 1312340 1313024 1313452 1313785 1313786 1313796 1313853 1313932 1313978 1314029 1314529 1314537 1314539 1317840 1317842 1317886 1317893 1317896 1317897 1317898 1317899 1317904 1321853 1322471 1322480 1322491 1323170 1323174 1323176 1323226 1323228 1323230 1323231 1323234 1323243 1323246 1323247 1323254 1323257 1323262 1323264 1323266 1323285 1324113 1324114 1324119 1324129 1324131 1324133 1324232 1324237 1326722 1326864 1327282 1327505 1327506 1327523 1327524 1327527 1328019 1328051 1328233 1328853 1329556 1329628 1330010 1333169 1333800 1333815 1333816 1333817 1333818 1333819 1333822 1333824 1333825 1333826 1333827 1333828 1334415 1334796 1334798 1334801 1334821 1335971 1336361 1336816 1336817 1336826 1337126 1342485 1342488 1342491 1342492 1342494 1342497 1342498 1342501 1342502 1342503 1342506 1342507 1342508 1342509 1342513 1342562 1347295 1347624 1348231 1348532 1351164 1352472 1352490 1355712 1356505 1357294 1359046 1359812 1360713 1360747 1360753 1360766 1361768 1361776 1361789 1361799 1361905 1361913 1361914 1361916 1365037 1365038 1365040 1365041 1365042 1365043 1365044 1365045 1365046 1365047 1365048 1365050 1365052 1365053 1365054 1365055 1365057 1365058 1365059 1365060 1365061 1365063 1365064 1370721 1370773 1374656 1375605 1390505 1390506 1391119 1391124 1391153 1391157 1393482 1393781 1394149 1395152 1397337 1398567 1404631 1406346 1417879 1420396 1422897 1422933 1425571 1431571
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 09:25 EST by Petr Viktorin
Modified: 2017-03-13 06:10 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Viktorin 2015-11-26 09:25:48 EST
Bugs related to the Python 3 porting effort are tracked here. These are:

* No py3 subpackage where upstream supports py3
* No python2-* or python-* Provides
* Requires on both py2 and py3 in one RPM

For mass bug filing information, see: https://fedoraproject.org/wiki/User:Pviktori/Python_3_Bug_Filing

Python packaging guidelines: https://fedoraproject.org/wiki/Packaging:Python
Comment 1 Fedora Admin XMLRPC Client 2016-01-29 08:07:20 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Petr Viktorin 2016-01-29 08:33:52 EST
*** Bug 1282146 has been marked as a duplicate of this bug. ***
Comment 3 Jan Kurik 2016-02-24 09:02:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Note You need to log in before you can comment on or make changes to this bug.